# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
helma.framework.core.RequestPath.contains(Object)
use `RequestPath.indexOf(Object)` instead.
helma.framework.ResponseBean.popStringBuffer()
helma.framework.ResponseBean.pushStringBuffer()
helma.scripting.rhino.GlobalObject.defineLibraryScope(String)
should be implemented in JavaScript instead
helma.scripting.rhino.HopObject.jsFunction_contains(Object)
use indexOf(Object) instead.